*** Auto generated by docgen.cmd ***  

## MD5  
Return MD5 Hash for input String  

# C  
`void md5 (const char* str, char* digest);`  

# ASM  
`>PUSHW digest`  
`>PUSHW str`  

## RETURN VALUE  
CC  

## MD5Init  
Initialize a MD5 computation  

# C  
`hMD5 md5init ();`  

# ASM  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Init`  

## RETURN VALUE  
A = hMem To S.MD5  

## MD5Update  
Add Data to MD5 computation  

# C  
`void md5update (hMD5 md5, char* data, int len);`  

# ASM  
`>PUSHW len`  
`>PUSHW data`  
`>LDA.G md5`  
`>hLIBCRYPT,LIBCRYPT.MD5Update`  

## RETURN VALUE  

## MD5Finalize  

# C  
`void md5finalize (hMD5 md5, char* digest);`  

# ASM  
`>PUSHW digest`  
`>LDA.G md5`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Finalize`  

## RETURN VALUE  
